Functions
IT_Management
Peripheral Driver » LL Driver » I2C » Functions
Collaboration diagram for IT_Management:

## Functions
__STATIC_INLINE void | ll_i2c_enable_it (i2c_regs_t *I2Cx, uint32_t mask)
| Enable specified interrupts. More...
__STATIC_INLINE void | ll_i2c_disable_it (i2c_regs_t *I2Cx, uint32_t mask)
| Disable specified interrupts. More...
__STATIC_INLINE uint32_t | ll_i2c_is_enabled_it (i2c_regs_t *I2Cx, uint32_t mask)
| Check if the specified interrupts are enabled or disabled. More...
__STATIC_INLINE void | ll_i2c_enable_it_master_on_hold (i2c_regs_t *I2Cx)
| Enable MASTER_ON_HOLD interrupt. More...
__STATIC_INLINE void | ll_i2c_disable_it_master_om_hold (i2c_regs_t *I2Cx)
| Disable MASTER_ON_HOLD interrupt. More...
__STATIC_INLINE uint32_t | ll_i2c_is_enabled_it_master_on_hold (i2c_regs_t *I2Cx)
| Check if the MASTER_ON_HOLD Interrupt is enabled or disabled. More...
__STATIC_INLINE void | ll_i2c_enable_it_restart_det (i2c_regs_t *I2Cx)
| Enable RESTART_DET interrupt. More...
__STATIC_INLINE void | ll_i2c_disable_it_restart_det (i2c_regs_t *I2Cx)
| Disable RESTART_DET interrupt. More...
__STATIC_INLINE uint32_t | ll_i2c_is_enabled_it_restart_det (i2c_regs_t *I2Cx)
| Check if the RESTART_DET Interrupt is enabled or disabled. More...
__STATIC_INLINE void | ll_i2c_enable_it_gen_call (i2c_regs_t *I2Cx)
| Enable GEN_CALL interrupt. More...
__STATIC_INLINE void | ll_i2c_disable_it_gen_call (i2c_regs_t *I2Cx)
| Disable GEN_CALL interrupt. More...
__STATIC_INLINE uint32_t | ll_i2c_is_enabled_it_gen_call (i2c_regs_t *I2Cx)
| Check if GEN_CALL interrupt is enabled or disabled. More...
__STATIC_INLINE void | ll_i2c_enable_it_start_det (i2c_regs_t *I2Cx)
| Enable START_DET received interrupt. More...
__STATIC_INLINE void | ll_i2c_disable_it_start_det (i2c_regs_t *I2Cx)
| Disable START_DET received interrupt. More...
__STATIC_INLINE uint32_t | ll_i2c_is_enabled_it_start_det (i2c_regs_t *I2Cx)
| Check if START_DET received interrupt is enabled or disabled. More...
__STATIC_INLINE void | ll_i2c_enable_it_stop_det (i2c_regs_t *I2Cx)
| Enable STOP_DET interrupt. More...
__STATIC_INLINE void | ll_i2c_disable_it_stop_det (i2c_regs_t *I2Cx)
| Disable STOP_DET interrupt. More...
__STATIC_INLINE uint32_t | ll_i2c_is_enabled_it_stop_det (i2c_regs_t *I2Cx)
| Check if STOP_DET interrupt is enabled or disabled. More...
__STATIC_INLINE void | ll_i2c_enable_it_activity (i2c_regs_t *I2Cx)
| Enable ACTIVITY interrupt. More...
__STATIC_INLINE void | ll_i2c_disable_it_activity (i2c_regs_t *I2Cx)
| Disable ACTIVITY interrupt. More...
__STATIC_INLINE uint32_t | ll_i2c_is_enabled_it_activity (i2c_regs_t *I2Cx)
| Check if ACTIVITY interrupt is enabled or disabled. More...
__STATIC_INLINE void | ll_i2c_enable_it_rx_done (i2c_regs_t *I2Cx)
| Enable RX_DONE interrupt. More...
__STATIC_INLINE void | ll_i2c_disable_it_rx_done (i2c_regs_t *I2Cx)
| Disable RX_DONE interrupt. More...
__STATIC_INLINE uint32_t | ll_i2c_is_enable_it_rx_done (i2c_regs_t *I2Cx)
| Check if RX_DONE interrupt is enabled or disabled. More...
__STATIC_INLINE void | ll_i2c_enable_it_rx_abort (i2c_regs_t *I2Cx)
| Enable TX_ABRT interrupt. More...
__STATIC_INLINE void | ll_i2c_disable_it_tx_abort (i2c_regs_t *I2Cx)
| Disable TX_ABRT interrupt. More...
__STATIC_INLINE uint32_t | ll_i2c_is_enabled_it_tx_abort (i2c_regs_t *I2Cx)
| Check if TX_ABRT interrupt is enabled or disabled. More...
__STATIC_INLINE void | ll_i2c_enable_it_read_req (i2c_regs_t *I2Cx)
| Enable RD_REQ interrupt. More...
__STATIC_INLINE void | ll_i2c_disable_it_read_req (i2c_regs_t *I2Cx)
| Disable RD_REQ interrupt. More...
__STATIC_INLINE uint32_t | ll_i2c_is_enabled_it_read_req (i2c_regs_t *I2Cx)
| Check if RD_REQ interrupt is enabled or disabled. More...
__STATIC_INLINE void | ll_i2c_enable_it_tx_empty (i2c_regs_t *I2Cx)
| Enable TX_EMPTY interrupt. More...
__STATIC_INLINE void | ll_i2c_disable_it_tx_empty (i2c_regs_t *I2Cx)
| Disable TX_EMPTY interrupt. More...
__STATIC_INLINE uint32_t | ll_i2c_is_enabled_it_tx_empty (i2c_regs_t *I2Cx)
| Check if TX_EMPTY interrupt is enabled or disabled. More...
__STATIC_INLINE void | ll_i2c_enable_it_tx_over (i2c_regs_t *I2Cx)
| Enable TX_OVER interrupt. More...
__STATIC_INLINE void | ll_i2c_disable_it_tx_over (i2c_regs_t *I2Cx)
| Disable TX_OVER interrupt. More...
__STATIC_INLINE uint32_t | ll_i2c_is_enabled_it_tx_over (i2c_regs_t *I2Cx)
| Check if TX_OVER interrupt is enabled or disabled. More...
__STATIC_INLINE void | ll_i2c_enable_it_rx_full (i2c_regs_t *I2Cx)
| Enable RX_FULL interrupt. More...
__STATIC_INLINE void | ll_i2c_disbale_it_rx_full (i2c_regs_t *I2Cx)
| Disable RX_FULL interrupt. More...
__STATIC_INLINE uint32_t | ll_i2c_ls_enabled_it_rx_full (i2c_regs_t *I2Cx)
| Check if RX_FULL interrupt is enabled or disabled. More...
__STATIC_INLINE void | ll_i2c_enable_it_rx_over (i2c_regs_t *I2Cx)
| Enable RX_OVER interrupt. More...
__STATIC_INLINE void | ll_i2c_disable_it_rx_over (i2c_regs_t *I2Cx)
| Disable RX_OVER interrupt. More...
__STATIC_INLINE uint32_t | ll_i2c_is_enabled_it_rx_over (i2c_regs_t *I2Cx)
| Check if RX_OVER interrupt is enabled or disabled. More...
__STATIC_INLINE void | ll_i2c_enable_it_rx_under (i2c_regs_t *I2Cx)
| Enable RX_UNDER interrupt. More...
__STATIC_INLINE void | ll_i2c_disable_it_rx_under (i2c_regs_t *I2Cx)
| Disable RX_UNDER interrupt. More...
__STATIC_INLINE uint32_t | ll_i2c_is_enabled_it_rx_under (i2c_regs_t *I2Cx)
| Check if RX_UNDER interrupt is enabled or disabled. More...

## Detailed Description

## Function Documentation

## ◆ ll_i2c_disable_it()

__STATIC_INLINE void ll_i2c_disable_it | ( | i2c_regs_t * | I2Cx,
|  | uint32_t | mask
| ) |  |

Disable specified interrupts.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | INTR_MASK_GEN_CALL | +-------------------—+--------------------------------—+ \endrst INTR_MASK | INTR_MASK_START_DET INTR_MASK | INTR_MASK_STOP_DET INTR_MASK | INTR_MASK_ACTIVITY INTR_MASK | INTR_MASK_RX_DONE INTR_MASK | INTR_MASK_TX_ABRT INTR_MASK | INTR_MASK_RD_REQ INTR_MASK | INTR_MASK_TX_EMPTY INTR_MASK | INTR_MASK_TX_OVER INTR_MASK | INTR_MASK_RX_FULL INTR_MASK | INTR_MASK_RX_OVER INTR_MASK | INTR_MASK_RX_UNDER

Parameters

  I2Cx | I2C instance.
  mask | This parameter can be a combination of the following values: LL_I2C_INTR_MASK_GEN_CALL LL_I2C_INTR_MASK_START_DET LL_I2C_INTR_MASK_STOP_DET LL_I2C_INTR_MASK_ACTIVITY LL_I2C_INTR_MASK_RX_DONE LL_I2C_INTR_MASK_TX_ABRT LL_I2C_INTR_MASK_RD_REQ LL_I2C_INTR_MASK_TX_EMPTY LL_I2C_INTR_MASK_TX_OVER LL_I2C_INTR_MASK_RX_FULL LL_I2C_INTR_MASK_RX_OVER LL_I2C_INTR_MASK_RX_UNDER

Return values

  None. |

Definition at line 1590 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_disable_it_activity()

__STATIC_INLINE void ll_i2c_disable_it_activity | ( | i2c_regs_t * | I2Cx | ) |

Disable ACTIVITY interrupt.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | ACTIVITY | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 1956 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_disable_it_gen_call()

__STATIC_INLINE void ll_i2c_disable_it_gen_call | ( | i2c_regs_t * | I2Cx | ) |

Disable GEN_CALL interrupt.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | GEN_CALL | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 1785 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_disable_it_master_om_hold()

__STATIC_INLINE void ll_i2c_disable_it_master_om_hold | ( | i2c_regs_t * | I2Cx | ) |

Disable MASTER_ON_HOLD interrupt.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | MST_ON_HOLD | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 1671 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_disable_it_read_req()

__STATIC_INLINE void ll_i2c_disable_it_read_req | ( | i2c_regs_t * | I2Cx | ) |

Disable RD_REQ interrupt.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | RD_REQ | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2127 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_disable_it_restart_det()

__STATIC_INLINE void ll_i2c_disable_it_restart_det | ( | i2c_regs_t * | I2Cx | ) |

Disable RESTART_DET interrupt.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | RESTART_DET | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 1728 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_disable_it_rx_done()

__STATIC_INLINE void ll_i2c_disable_it_rx_done | ( | i2c_regs_t * | I2Cx | ) |

Disable RX_DONE interrupt.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | RX_DONE | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2013 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_disable_it_rx_over()

__STATIC_INLINE void ll_i2c_disable_it_rx_over | ( | i2c_regs_t * | I2Cx | ) |

Disable RX_OVER interrupt.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | RX_OVER | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2355 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_disable_it_rx_under()

__STATIC_INLINE void ll_i2c_disable_it_rx_under | ( | i2c_regs_t * | I2Cx | ) |

Disable RX_UNDER interrupt.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | RX_UNDER | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2412 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_disable_it_start_det()

__STATIC_INLINE void ll_i2c_disable_it_start_det | ( | i2c_regs_t * | I2Cx | ) |

Disable START_DET received interrupt.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | START_DET | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 1842 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_disable_it_stop_det()

__STATIC_INLINE void ll_i2c_disable_it_stop_det | ( | i2c_regs_t * | I2Cx | ) |

Disable STOP_DET interrupt.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | STOP_DET | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 1899 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_disable_it_tx_abort()

__STATIC_INLINE void ll_i2c_disable_it_tx_abort | ( | i2c_regs_t * | I2Cx | ) |

Disable TX_ABRT interrupt.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | TX_ABRT | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2070 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_disable_it_tx_empty()

__STATIC_INLINE void ll_i2c_disable_it_tx_empty | ( | i2c_regs_t * | I2Cx | ) |

Disable TX_EMPTY interrupt.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | TX_EMPTY | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2184 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_disable_it_tx_over()

__STATIC_INLINE void ll_i2c_disable_it_tx_over | ( | i2c_regs_t * | I2Cx | ) |

Disable TX_OVER interrupt.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | TX_OVER | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2241 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_disbale_it_rx_full()

__STATIC_INLINE void ll_i2c_disbale_it_rx_full | ( | i2c_regs_t * | I2Cx | ) |

Disable RX_FULL interrupt.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | RX_FULL | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2298 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_enable_it()

__STATIC_INLINE void ll_i2c_enable_it | ( | i2c_regs_t * | I2Cx,
|  | uint32_t | mask
| ) |  |

Enable specified interrupts.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | INTR_MASK_GEN_CALL | +-------------------—+--------------------------------—+ \endrst INTR_MASK | INTR_MASK_START_DET INTR_MASK | INTR_MASK_STOP_DET INTR_MASK | INTR_MASK_ACTIVITY INTR_MASK | INTR_MASK_RX_DONE INTR_MASK | INTR_MASK_TX_ABRT INTR_MASK | INTR_MASK_RD_REQ INTR_MASK | INTR_MASK_TX_EMPTY INTR_MASK | INTR_MASK_TX_OVER INTR_MASK | INTR_MASK_RX_FULL INTR_MASK | INTR_MASK_RX_OVER INTR_MASK | INTR_MASK_RX_UNDER

Parameters

  I2Cx | I2C instance.
  mask | This parameter can be a combination of the following values: LL_I2C_INTR_MASK_GEN_CALL LL_I2C_INTR_MASK_START_DET LL_I2C_INTR_MASK_STOP_DET LL_I2C_INTR_MASK_ACTIVITY LL_I2C_INTR_MASK_RX_DONE LL_I2C_INTR_MASK_TX_ABRT LL_I2C_INTR_MASK_RD_REQ LL_I2C_INTR_MASK_TX_EMPTY LL_I2C_INTR_MASK_TX_OVER LL_I2C_INTR_MASK_RX_FULL LL_I2C_INTR_MASK_RX_OVER LL_I2C_INTR_MASK_RX_UNDER

Return values

  None. |

Definition at line 1547 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_enable_it_activity()

__STATIC_INLINE void ll_i2c_enable_it_activity | ( | i2c_regs_t * | I2Cx | ) |

Enable ACTIVITY interrupt.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | ACTIVITY | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 1937 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_enable_it_gen_call()

__STATIC_INLINE void ll_i2c_enable_it_gen_call | ( | i2c_regs_t * | I2Cx | ) |

Enable GEN_CALL interrupt.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | GEN_CALL | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 1766 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_enable_it_master_on_hold()

__STATIC_INLINE void ll_i2c_enable_it_master_on_hold | ( | i2c_regs_t * | I2Cx | ) |

Enable MASTER_ON_HOLD interrupt.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | MST_ON_HOLD | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 1652 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_enable_it_read_req()

__STATIC_INLINE void ll_i2c_enable_it_read_req | ( | i2c_regs_t * | I2Cx | ) |

Enable RD_REQ interrupt.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | RD_REQ | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2108 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_enable_it_restart_det()

__STATIC_INLINE void ll_i2c_enable_it_restart_det | ( | i2c_regs_t * | I2Cx | ) |

Enable RESTART_DET interrupt.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | RESTART_DET | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 1709 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_enable_it_rx_abort()

__STATIC_INLINE void ll_i2c_enable_it_rx_abort | ( | i2c_regs_t * | I2Cx | ) |

Enable TX_ABRT interrupt.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | TX_ABRT | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2051 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_enable_it_rx_done()

__STATIC_INLINE void ll_i2c_enable_it_rx_done | ( | i2c_regs_t * | I2Cx | ) |

Enable RX_DONE interrupt.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | RX_DONE | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 1994 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_enable_it_rx_full()

__STATIC_INLINE void ll_i2c_enable_it_rx_full | ( | i2c_regs_t * | I2Cx | ) |

Enable RX_FULL interrupt.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | RX_FULL | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2279 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_enable_it_rx_over()

__STATIC_INLINE void ll_i2c_enable_it_rx_over | ( | i2c_regs_t * | I2Cx | ) |

Enable RX_OVER interrupt.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | RX_OVER | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2336 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_enable_it_rx_under()

__STATIC_INLINE void ll_i2c_enable_it_rx_under | ( | i2c_regs_t * | I2Cx | ) |

Enable RX_UNDER interrupt.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | RX_UNDER | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2393 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_enable_it_start_det()

__STATIC_INLINE void ll_i2c_enable_it_start_det | ( | i2c_regs_t * | I2Cx | ) |

Enable START_DET received interrupt.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | START_DET | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 1823 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_enable_it_stop_det()

__STATIC_INLINE void ll_i2c_enable_it_stop_det | ( | i2c_regs_t * | I2Cx | ) |

Enable STOP_DET interrupt.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | STOP_DET | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 1880 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_enable_it_tx_empty()

__STATIC_INLINE void ll_i2c_enable_it_tx_empty | ( | i2c_regs_t * | I2Cx | ) |

Enable TX_EMPTY interrupt.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | TX_EMPTY | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2165 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_enable_it_tx_over()

__STATIC_INLINE void ll_i2c_enable_it_tx_over | ( | i2c_regs_t * | I2Cx | ) |

Enable TX_OVER interrupt.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | TX_OVER | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2222 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_enable_it_rx_done()

__STATIC_INLINE uint32_t ll_i2c_is_enable_it_rx_done | ( | i2c_regs_t * | I2Cx | ) |

Check if RX_DONE interrupt is enabled or disabled.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | RX_DONE | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2032 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_enabled_it()

__STATIC_INLINE uint32_t ll_i2c_is_enabled_it | ( | i2c_regs_t * | I2Cx,
|  | uint32_t | mask
| ) |  |

Check if the specified interrupts are enabled or disabled.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | INTR_MASK_GEN_CALL | +-------------------—+--------------------------------—+ \endrst INTR_MASK | INTR_MASK_START_DET INTR_MASK | INTR_MASK_STOP_DET INTR_MASK | INTR_MASK_ACTIVITY INTR_MASK | INTR_MASK_RX_DONE INTR_MASK | INTR_MASK_TX_ABRT INTR_MASK | INTR_MASK_RD_REQ INTR_MASK | INTR_MASK_TX_EMPTY INTR_MASK | INTR_MASK_TX_OVER INTR_MASK | INTR_MASK_RX_FULL INTR_MASK | INTR_MASK_RX_OVER INTR_MASK | INTR_MASK_RX_UNDER

Parameters

  I2Cx | I2C instance.
  mask | This parameter can be a combination of the following values: LL_I2C_INTR_MASK_GEN_CALL LL_I2C_INTR_MASK_START_DET LL_I2C_INTR_MASK_STOP_DET LL_I2C_INTR_MASK_ACTIVITY LL_I2C_INTR_MASK_RX_DONE LL_I2C_INTR_MASK_TX_ABRT LL_I2C_INTR_MASK_RD_REQ LL_I2C_INTR_MASK_TX_EMPTY LL_I2C_INTR_MASK_TX_OVER LL_I2C_INTR_MASK_RX_FULL LL_I2C_INTR_MASK_RX_OVER LL_I2C_INTR_MASK_RX_UNDER

Return values

  State | of bit (1 or 0).

Definition at line 1633 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_enabled_it_activity()

__STATIC_INLINE uint32_t ll_i2c_is_enabled_it_activity | ( | i2c_regs_t * | I2Cx | ) |

Check if ACTIVITY interrupt is enabled or disabled.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | ACTIVITY | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 1975 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_enabled_it_gen_call()

__STATIC_INLINE uint32_t ll_i2c_is_enabled_it_gen_call | ( | i2c_regs_t * | I2Cx | ) |

Check if GEN_CALL interrupt is enabled or disabled.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | GEN_CALL | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 1804 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_enabled_it_master_on_hold()

__STATIC_INLINE uint32_t ll_i2c_is_enabled_it_master_on_hold | ( | i2c_regs_t * | I2Cx | ) |

Check if the MASTER_ON_HOLD Interrupt is enabled or disabled.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | MST_ON_HOLD | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 1690 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_enabled_it_read_req()

__STATIC_INLINE uint32_t ll_i2c_is_enabled_it_read_req | ( | i2c_regs_t * | I2Cx | ) |

Check if RD_REQ interrupt is enabled or disabled.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | RD_REQ | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2146 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_enabled_it_restart_det()

__STATIC_INLINE uint32_t ll_i2c_is_enabled_it_restart_det | ( | i2c_regs_t * | I2Cx | ) |

Check if the RESTART_DET Interrupt is enabled or disabled.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | RESTART_DET | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 1747 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_enabled_it_rx_over()

__STATIC_INLINE uint32_t ll_i2c_is_enabled_it_rx_over | ( | i2c_regs_t * | I2Cx | ) |

Check if RX_OVER interrupt is enabled or disabled.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | RX_OVER | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2374 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_enabled_it_rx_under()

__STATIC_INLINE uint32_t ll_i2c_is_enabled_it_rx_under | ( | i2c_regs_t * | I2Cx | ) |

Check if RX_UNDER interrupt is enabled or disabled.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | RX_UNDER | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2431 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_enabled_it_start_det()

__STATIC_INLINE uint32_t ll_i2c_is_enabled_it_start_det | ( | i2c_regs_t * | I2Cx | ) |

Check if START_DET received interrupt is enabled or disabled.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | START_DET | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 1861 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_enabled_it_stop_det()

__STATIC_INLINE uint32_t ll_i2c_is_enabled_it_stop_det | ( | i2c_regs_t * | I2Cx | ) |

Check if STOP_DET interrupt is enabled or disabled.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | STOP_DET | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 1918 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_enabled_it_tx_abort()

__STATIC_INLINE uint32_t ll_i2c_is_enabled_it_tx_abort | ( | i2c_regs_t * | I2Cx | ) |

Check if TX_ABRT interrupt is enabled or disabled.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | TX_ABRT | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2089 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_enabled_it_tx_empty()

__STATIC_INLINE uint32_t ll_i2c_is_enabled_it_tx_empty | ( | i2c_regs_t * | I2Cx | ) |

Check if TX_EMPTY interrupt is enabled or disabled.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | TX_EMPTY | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2203 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_enabled_it_tx_over()

__STATIC_INLINE uint32_t ll_i2c_is_enabled_it_tx_over | ( | i2c_regs_t * | I2Cx | ) |

Check if TX_OVER interrupt is enabled or disabled.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | TX_OVER | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2260 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_ls_enabled_it_rx_full()

__STATIC_INLINE uint32_t ll_i2c_ls_enabled_it_rx_full | ( | i2c_regs_t * | I2Cx | ) |

Check if RX_FULL interrupt is enabled or disabled.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTR_MASK | RX_FULL | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2317 of file gr55xx_ll_i2c.h.